curl --request GET \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/delegations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/decision/v1/delegations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/decision/v1/delegations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/decision/v1/delegations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/decision/v1/delegations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/decision/v1/delegations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.693Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"issuerType": "ROOT_AUTHORITY",
"recipientType": "PERSONNEL_IN_POSITION",
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"issuedDate": "2025-01-01T12:00:00Z",
"acceptedDate": "2025-01-01T12:00:00Z",
"effectiveDate": "2025-01-01T12:00:00Z",
"delegationDisplayId": "12789",
"link": "/delegations/view/eyJ0ZW5hbnRJZCI6IjEwNWZhMTE1LTUyZDAtNDQ2Ni1iYWZmLTc0MDQ0N2E2MDc3NCIsImRlbGVnYXRpb25JZCI6IjMwOGNiMzMxLWYwMTgtNGJjNS1hMWE3LTQ1MTI4NTU4MTg0MyJ9",
"status": "DRAFT",
"isRootDelegation": false,
"issuerUserId": "648fa115-52d0-4466-baff-740447a60774",
"issuerPositionId": "257fa115-52d0-4466-baff-740447a60774",
"recipientAutoIssue": false,
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"expirationDate": "2025-12-31T12:00:00Z",
"isNoExpiration": false,
"updatedAt": "2025-01-01T12:00:00Z",
"copiedFrom": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"delegationPathway": [],
"delegationRecipients": [],
"delegationGroups": [],
"delegationAuthorities": [],
"delegationDocuments": [],
"delegationId": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"sourceDecision": {
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"decisionDisplayId": "14623",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments",
"guidance": "Investment decisions for long-term, strategic investments...",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "248fa115-52d0-4466-baff-740447a60774"
},
"isInvalid": false,
"invalidFields": [
"delegationGroups",
"delegationAuthorities"
],
"actionIssuerApproval": true,
"actionDelegationAcceptance": true,
"actionAuthorityRequest": true,
"approvalActionExistForUser": true,
"acceptanceActionExistForUser": true
}
]
}
}List delegations
curl --request GET \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/delegations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/decision/v1/delegations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/decision/v1/delegations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/decision/v1/delegations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/decision/v1/delegations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/decision/v1/delegations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.693Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"issuerType": "ROOT_AUTHORITY",
"recipientType": "PERSONNEL_IN_POSITION",
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"issuedDate": "2025-01-01T12:00:00Z",
"acceptedDate": "2025-01-01T12:00:00Z",
"effectiveDate": "2025-01-01T12:00:00Z",
"delegationDisplayId": "12789",
"link": "/delegations/view/eyJ0ZW5hbnRJZCI6IjEwNWZhMTE1LTUyZDAtNDQ2Ni1iYWZmLTc0MDQ0N2E2MDc3NCIsImRlbGVnYXRpb25JZCI6IjMwOGNiMzMxLWYwMTgtNGJjNS1hMWE3LTQ1MTI4NTU4MTg0MyJ9",
"status": "DRAFT",
"isRootDelegation": false,
"issuerUserId": "648fa115-52d0-4466-baff-740447a60774",
"issuerPositionId": "257fa115-52d0-4466-baff-740447a60774",
"recipientAutoIssue": false,
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"expirationDate": "2025-12-31T12:00:00Z",
"isNoExpiration": false,
"updatedAt": "2025-01-01T12:00:00Z",
"copiedFrom": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"delegationPathway": [],
"delegationRecipients": [],
"delegationGroups": [],
"delegationAuthorities": [],
"delegationDocuments": [],
"delegationId": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"sourceDecision": {
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"decisionDisplayId": "14623",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments",
"guidance": "Investment decisions for long-term, strategic investments...",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "248fa115-52d0-4466-baff-740447a60774"
},
"isInvalid": false,
"invalidFields": [
"delegationGroups",
"delegationAuthorities"
],
"actionIssuerApproval": true,
"actionDelegationAcceptance": true,
"actionAuthorityRequest": true,
"approvalActionExistForUser": true,
"acceptanceActionExistForUser": true
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
x >= 11
Number of items per page
1 <= x <= 10010
Tenant ID
"105fa115-52d0-4466-baff-740447a60774"
Comma separated Delegation Status values
DRAFT, PENDING, ISSUED, ACCEPTED, REJECTED, SUSPENDED, REVOKED, EXPIRED, ARCHIVED, DELETED Delegation search string
""
Comma separated Section IDs
null
Comma separated Category IDs
null
Criteria for sorting Delegations
delegationDisplayId, decisionName, sectionName, categoryName, status, updatedAt, expirationDate, authorityLimitSortPrecedence, rank, issuedDate, effectiveDate, acceptedDate, createdAt Order for sorting Delegations
asc, desc Comma separated Group IDs
null
Comma separated Position IDs
null
Redelegable filter
true
Invalid delegations filter (Delegations with alerts)
true
Comma separated Authority Type IDs
null
Comma separated Authority Value Types
Currency, Number, Days, Months, Years, Authorized, Percentage Authority Limit Value Filters
Show child attributes
Show child attributes
Comma separated specific Delegation fields needed in response
DELEGATION_ID, DELEGATION_DISPLAY_ID, SOURCE_DECISION, DECISION_NAME, DECISION_ID, SECTION_ID, SECTION_NAME, CATEGORY_ID, CATEGORY_NAME, STATUS, ISSUED_DATE, EFFECTIVE_DATE, EXPIRATION_DATE, ACCEPTED_DATE, UPDATED_AT, CREATED_AT, REDELEGABLE, CONDITIONS, IS_INVALID, INVALID_FIELDS, ISSUER_TYPE, ISSUER_USER_ID, ISSUER_POSITION_ID, RECIPIENT_TYPE, RECIPIENT_USER_ID, RECIPIENT_POSITION_ID, AUTHORITY_TYPE_ID, AUTHORITY_LIMIT, AUTHORITY_LIMIT_VALUE_TYPE, AUTHORITY_LIMIT_OPERATOR, AUTHORITY_LIMIT_VALUE, AUTHORITY_LIMIT_VALUE_UNIT, DELEGATION_GROUPS, DELEGATION_AUTHORITIES, DELEGATION_RECIPIENTS, DELEGATION_ROLES, DELEGATION_CONDITIONS If true, only returns delegations for which current user is issuer/recipient
true
Delegation issuer type
Delegation issuer user id
"648fa115-52d0-4466-baff-740447a60774"
Delegation issuer position id
"257fa115-52d0-4466-baff-740447a60774"
Comma separated Role IDs
null
Conditions filter
true
Start date time for date range filter on delegation issued date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation issued date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation updated date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation updated date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation effective date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation effective date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation accepted date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation accepted date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation expired date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation expired date
"2025-03-05T11:49:50.577Z"
Issuers Filters
Show child attributes
Show child attributes
Recipients Filters
Show child attributes
Show child attributes
Comma separated Decision IDs
null
Root Delegation filter
true
Comma separated Delegation Invalid Fields
Comma separated Delegation issuer types values
Comma separated Delegation recipient types values
Comma separated User IDs
null
Was this page helpful?